Package com.sas.lsaf.clinical.model

## Class ValueListValueMetadata

- java.lang.Object
- - com.sas.lsaf.clinical.model.ValueListValueMetadata

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ValueListValueMetadata
      extends java.lang.Object
      implements java.io.Serializable

  TODO Provide javadoc for ValueListValueMetadata
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueListValueMetadata​(java.lang.String id, java.lang.String value, boolean isDefault, int ordering)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getId()` | Gets the id of the value list metadata from which this value is defined.
    `int` | `getOrdering()` | Gets the integer value that represents the display order of the attribute value.
    `java.lang.String` | `getValue()` | Gets the value in the value list.
    `int` | `hashCode()` |
    `boolean` | `isDefault()` | Gets whether the value is the default in the value list.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueListValueMetadata

          public ValueListValueMetadata​(java.lang.String id,
                                        java.lang.String value,
                                        boolean isDefault,
                                        int ordering)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the value list value metadata returned by the API.
      Parameters:
        `id` - The id of the value list metadata from which this value is defined.
        `value` - The value in the value list.
        `isDefault` - Whether the value is the default in the value list.
        `ordering` - The integer value that represents the display order of the attribute value.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the id of the value list metadata from which this value is defined.
      Returns:
        The id of the value list metadata from which this value is defined.

    - #### getValue

          public java.lang.String getValue()

      Gets the value in the value list.
      Returns:
        The value in the value list.

    - #### getOrdering

          public int getOrdering()

      Gets the integer value that represents the display order of the attribute value.
      Returns:
        The integer value that represents the display order of the attribute value.

    - #### isDefault

          public boolean isDefault()

      Gets whether the value is the default in the value list.
      Returns:
        Whether the value is the default in the value list.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`